Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# aspectframe.hh File Reference

A GtkAspectFrame C++ wrapper interface. More...

`#include <xfc/gtk/frame.hh>`
`#include <gtk/gtkaspectframe.h>`
`#include <xfc/gtk/inline/aspectframe.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::AspectFrame
    A GtkAspectFrame C++ wrapper class. More...

## Detailed Description

A GtkAspectFrame C++ wrapper interface.

Provides AspectFrame, a widget that is useful when you want pack a widget so that it can resize but always retains the same aspect ratio.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3